### Method

# GUsb Device get_events

since: 0.4.0

#### Declaration

    GPtrArray*
    g_usb_device_get_events (
      GUsbDevice* self
    )

#### Description

Gets all the events saved by the device.

Events are only collected when the `G_USB_CONTEXT_FLAGS_SAVE_EVENTS` flag is used before enumerating the context. Events can be used to replay device transactions.

Available since: 0.4.0

#### Return value

Type: An array of `None`

An array of events.

The caller of the method takes ownership of the data container, but not the data inside it.